Properties Methods Events Config Options Direct Link

# Class Ext.grid.RowNumberer

Package: | Ext.grid
Defined In: | RowNumberer.js
Class: | RowNumberer
Extends: | Object

This is a utility class that can be passed into a Ext.grid.ColumnModel as a column config that provides an automatic row numbering column.
Usage:

    // This is a typical column config with the first column providing row numbers
     var colModel = new Ext.grid.ColumnModel([
        new Ext.grid.RowNumberer(),
        {header: "Name", width: 80, sortable: true},
        {header: "Code", width: 50, sortable: true},
        {header: "Description", width: 200, sortable: true}
     ]);

## Config Options

Config Options | Defined By
--- | ---
| header : String Any valid text or HTML fragment to display in the header cell for the row number column (defaults to ''). | RowNumberer
| width : Number The default width in pixels of the row number column (defaults to 23). | RowNumberer

## Public Properties

This class has no public properties.

## Public Methods

This class has no public methods.

## Public Events

This class has no public events.